import 'dart:async';

import 'package:zhiying_base_widget/pages/withdraw_page/withdraw_model.dart';
import 'package:zhiying_comm/util/base_bloc.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class WithdrawBloc extends BlocBase {
  WithdrawModel model;

  StreamController<WithdrawModel> _dataController =
      StreamController<WithdrawModel>();

  Stream<WithdrawModel> get outData => _dataController.stream;

  @override
  void dispose() {
    _dataController.close();
    _dataController = null;
  }

  void refresh() {
    NetUtil.request('/api/v1/config.json', onSuccess: (data) {
      _dataController.add(model);
    });
  }
}
